Subject: <control>
From: Per Starbäck <[email-masked]>
To: [email-masked]
Date: Fri, 13 Nov 2009 21:58:57 +0100

emacs -q
  C-x 8 RET < TAB RET
completes to "<control>" which inserts \237.

I didn't expect "<control>" to be a valid completion there.

The reason is that control characters have "<control>" in the second field in
admin/unidata/UnicodeData.txt (and \237 is the last such character.

Suggestion: Skip the <control> names in unidata-gen-table.

When I looked around for this I noticed a very minor thing in
ucs-names in mule-cmds.el.
It says
	      (dotimes-with-progress-reporter (c #xEFFFF)
but I think the limit ought to be #xF0000, which is where Plane 15
starts, since dotimes-with-progress-reporter
has that as an exclusive limit. (In practice it doesn't matter. At
least not for the time being.)